<%@ page language="VB" masterpagefile="~/Page.master" title="编辑我的文档类别" autoeventwireup="false" inherits="WebExam.Web.cms_admin_editMyCatalog, App_Web_ayyvfveb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentHead"  Runat="Server">

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainCopy" Runat="Server">
<input id="newName" type="hidden" name="newName"/><input id="oldName" type="hidden"/>
<input id="selectedId" type="hidden" name="selectedId"/>
 <iframe id="treeFrame" frameborder="0" style="margin:5px;" src="myCatalog.htm"></iframe>
<div id="tree"></div>
<div style="margin:5px;">
<input type ="button" id="newFold" value ="添加子文件夹" onclick ="return displayInput();" disabled = "disabled" />
<input type ="button" id="reNameFold" value ="改名" onclick ="__input('文件夹名称：',document.getElementById('oldName').value,renameFold);" disabled = "disabled" />
<input type ="button" id="delFold" value ="删除文件夹" onclick ="return __confirm('确定要删除该文件夹及其内容吗？',deleteFold);" disabled = "disabled" />
</div>
<asp:Button ID="Btn_delete" runat="server"  style="display:none" />
<asp:Button ID="Btn_add" runat="server" style="display:none"  />
<asp:Button ID="Btn_rename" runat="server" style="display:none"  />
<script type ="text/javascript" >
    function selectedNodeChange(id, text) {
        
        document.getElementById("selectedId").value = id;
        document.getElementById("newFold").disabled = ""; document.getElementById("oldName").value = text;
        if (id != "1") {
            document.getElementById("delFold").disabled = "";
            document.getElementById("reNameFold").disabled = "";
        
        }
   }
   function deleteFold() { document.getElementById("<%= Btn_delete.clientId %>").click(); }
   function renameFold(name) { document.getElementById("newName").value = name; document.getElementById("<%= Btn_rename.clientId %>").click(); }
function newChile(name) { document.getElementById("newName").value = name;document.getElementById("<%= Btn_add.clientId %>").click(); }
function displayInput() {
    __input("文件夹名称：","新文件夹",newChile)
    return false
};
</script>
</asp:Content>

